Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		libassuan
Summary:	GnuPG IPC library
Version:	1.0.5
Release:	1

License:	LGPLv2+
Source0:	ftp://ftp.gnupg.org/gcrypt/libassuan/libassuan-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/libassuan/libassuan-%{version}.tar.bz2.sig
URL:		http://www.gnupg.org/
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

# -debuginfo useless for (only) static libs
%define		debug_package	%{nil}

BuildRequires: 	gawk
BuildRequires: 	pth-devel

%description
This is the IPC library used by GnuPG 2, GPGME and a few other
packages.

%post
/sbin/install-info %_infodir/assuan.info %_infodir/dir &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %_infodir/assuan.info %_infodir/dir &>/dev/null || :
fi

%prep
%setup -q

%build
#ifarch x86_64
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
#endif
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

## Unpackaged files
rm -f $RPM_BUILD_ROOT%_infodir/dir

%check
make check

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LIB NEWS README THANKS TODO
%_bindir/libassuan-config
%_libdir/lib*.a
%_includedir
%_aclocal
%_infodir

%changelog
* Fri Sep 26 2008 Christian Wsem <wasem@ccux-linux.de> 1.0.5-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.4-1
- Initial release
